edu.isi.pegasus.planner.catalog.transformation

## Class TCMode

- java.lang.Object
- - edu.isi.pegasus.planner.catalog.transformation.TCMode

    public class TCMode
    extends java.lang.Object

This class defines all the constants referring to the various interfaces to the transformation catalog, and used by the Concrete Planner.

Version:
  $Revision$
Author:
  Gaurang Mehta

### Field Summary

Fields
`static java.lang.String` `DEFAULT_TC_CLASS`
`private static LogManager` `mLogger`
`static java.lang.String` `MULTIPLE_READ`
`static java.lang.String` `OLDFILE_TC_CLASS`
`static java.lang.String` `PACKAGE_NAME` Default PACKAGE PATH for the TC implementing classes
`static java.lang.String` `SINGLE_READ` Constants for backward compatibility.

### Constructor Summary

Constructors
Constructor and Description
`TCMode()`

### Method Summary

All Methods Static Methods Concrete Methods
`private static java.lang.String` `getImplementingClass(java.lang.String tcmode)` This method just checks and gives the correct classname if a user provides the classname in a different case.
`static TransformationCatalog` `loadInstance()` The overloaded method which is to be used internally in Pegasus.
`static TransformationCatalog` `loadInstance(java.lang.String tcClass, java.lang.Object[] args)` Loads the appropriate TC implementing Class with the given arguments.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SINGLE_READ

    public static final java.lang.String SINGLE_READ

Constants for backward compatibility.

See Also:
  Constant Field Values

#### MULTIPLE_READ

    public static final java.lang.String MULTIPLE_READ

See Also:
  Constant Field Values

#### OLDFILE_TC_CLASS

    public static final java.lang.String OLDFILE_TC_CLASS

See Also:
  Constant Field Values

#### DEFAULT_TC_CLASS

    public static final java.lang.String DEFAULT_TC_CLASS

See Also:
  Constant Field Values

#### PACKAGE_NAME

    public static final java.lang.String PACKAGE_NAME

Default PACKAGE PATH for the TC implementing classes

See Also:
  Constant Field Values

#### mLogger

    private static LogManager mLogger

### Constructor Detail

#### TCMode

    public TCMode()

### Method Detail

#### getImplementingClass

    private static java.lang.String getImplementingClass(java.lang.String tcmode)

This method just checks and gives the correct classname if a user provides the classname in a different case.

Parameters:
  `tcmode` - String
Returns:
  String

#### loadInstance

    public static TransformationCatalog loadInstance()

The overloaded method which is to be used internally in Pegasus.

Returns:
  TCMechanism

#### loadInstance

    public static TransformationCatalog loadInstance(java.lang.String tcClass,
                                                     java.lang.Object[] args)

Loads the appropriate TC implementing Class with the given arguments.

Parameters:
  `tcClass` - String
  `args` - String[]
Returns:
  TCMechanism